RootTag (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.convert.seamtext.tags.RootTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.convert.seamtext.tags
Class RootTag

    java.lang.Object
      org.richfaces.convert.seamtext.tags.HtmlTag
          org.richfaces.convert.seamtext.tags.RootTag

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class RootTag

extends HtmlTag

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.richfaces.convert.seamtext.tags.HtmlTag
`A, AREA, BLOCKQOUTE, body, BR, COL, DEL, H1, H2, H3, H4, HR, I, IMG, LI, OL, P, PRE, Q, SUP, TT, U, UL`

Method Summary
`protected java.lang.String` | `printBody()`
`protected java.lang.String` | `printEnd()`
`protected java.lang.String` | `printStart()`

Methods inherited from class org.richfaces.convert.seamtext.tags.HtmlTag
`appendBody, appendBody, appendChildTag, cleanBody, clone, cloneTag, getAttribute, getAttributes, getName, isBodyEmpty, isBreakLineChild, isHeader, isLineTag, isLink, isList, isListItem, isParagraph, isPreFormattedElement, isQuote, prepareValue, print, printAttributes, printPlain, printPlainEnd, printPlainStart, printStartSuffix, setAttributes, setEmpty, setName, setNotEmpty, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### printEnd

    protected java.lang.String printEnd()

  Overrides:
    `printEnd` in class `HtmlTag`

### printStart

    protected java.lang.String printStart()

  Overrides:
    `printStart` in class `HtmlTag`

### printBody

    protected java.lang.String printBody()

  Overrides:
    `printBody` in class `HtmlTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.